rpmspec.h File Reference
RPMBUILD.

The Spec and Package data structures used during build. More...

`#include <rpmevr.h>`
Include dependency graph for rpmspec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | TriggerFileEntry
struct | Source
struct | ReadLevelEntry
struct | OpenFileInfo
struct | spectag_s
struct | spectags_s
struct | speclines_s
struct | Spec_s
| The structure used to store values parsed from a spec file. More...
struct | Package_s
| The structure used to store values for a package. More...

## Macros

#define | RPMBUILD_DEFAULT_LANG "C"

## Typedefs

typedef struct Package_s * | Package
typedef struct Source * | SpecSource
typedef struct ReadLevelEntry | RLE_t
typedef struct OpenFileInfo | OFI_t
typedef struct spectag_s * | spectag
typedef struct spectags_s * | spectags
typedef struct speclines_s * | speclines

## Functions

Spec | newSpec (void)
| Create and initialize Spec structure. More...
Spec | freeSpec (Spec spec)
| Destroy Spec structure. More...
int | rpmspecQuery (rpmts ts, QVA_t qva, const char *arg)
| Function to query spec file(s). More...
struct OpenFileInfo * | newOpenFileInfo (void)
spectag | stashSt (Spec spec, Header h, rpmTag tag, const char *lang)
| stashSt. More...
int | addSource (Spec spec, Package pkg, const char *field, rpmTag tag)
| addSource. More...
int | parseNoSource (Spec spec, const char *field, rpmTag tag)
| parseNoSource. More...
int | SpecSourceCount (Spec spec)
| Return the count of source set in specfile. More...
SpecSource | getSource (Spec spec, int num)
| Return a source control structure. More...
const char * | specSourceName (SpecSource source)
| Return a ptr to the source file name. More...
const char * | specFullSourceName (SpecSource source)
| Return a ptr to the full url of the source. More...
int | specSourceNum (SpecSource source)
| Return the spec or source patch number. More...
int | specSourceFlags (SpecSource source)
| Return flags set for the source. More...
const char * | getSourceDir (rpmfileAttrs attr)
| Return the macro directory location from source file flags. More...

## Detailed Description

The Spec and Package data structures used during build.

Definition in file rpmspec.h.

## Macro Definition Documentation

#define RPMBUILD_DEFAULT_LANG "C"

Definition at line 33 of file rpmspec.h.

Referenced by findPreambleTag(), handlePreambleTag(), parseDescription(), printNewSpecfile(), and stashSt().